post:
    description: Create album
    body:
        application/json:
            example: !include post-request-example.json
            type: !include post-request-schema.json
    responses:
        201:
            body:
                application/json:
                    type: !include post-response-201-schema.json
                    example: !include post-response-201-example.json
        409:
            body:
                application/json:
                    type: !include post-response-409-schema.json
                    example: !include post-response-409-example.json
get:
    description: Albums catalog
    is: [paginated, sorted]
    queryParameters:
        id?:
            description: ID of the album to search
            type: number
            minimum: 1
            example: 1
        title?:
            description: Title of the album to search
            type: string
            maxLength: 120
            example: Intense
        artist?:
            description: Artist of the album to search
            type: string
            maxLength: 120
            example: Armin Van Buuren
        label?:
            description: Label of the album to search
            type: string
            example: Armada Records
        upc?:
            description: Universal Product Code of the album to search
            type: number
            default: 0
            minimum: 0
            maximum: 999999999999
            example: 123456789876
        genre?:
            description: Genre of the album to search
            type: string
            example: TRANCE
        userId?:
            description: User of the album to search
            type: number
            minimum: 1
            example: 1
        status?:
            description: Status of the album to search
            type: boolean
            default: false
            example: true
    responses:
        200:
            body:
                application/json:
                    type: !include get-response-200-schema.json
                    example: !include get-response-200-example.json

    uriParameters: 
        id: 
            type: integer
            default: 1
            minimum: 1
            description: The `id` parameter to search album.
            example: 1
    get:
        description: Album detail
        responses:
            200:
                body:
                    application/json:
                        type: !include id/get-response-200-schema.json
                        example: !include id/get-response-200-example.json
            404:
                body:
                    application/json:
                        type: !include id/get-response-404-schema.json
                        example: !include id/get-response-404-example.json
    patch:
        description: Album update
        body:
            application/json:
                example: !include id/patch-request-example.json
                type: !include id/patch-request-schema.json
        responses:
            200:
                body:
                    application/json:
                        type: !include id/patch-response-200-schema.json
                        example: !include id/patch-response-200-example.json
            404:
                body:
                    application/json:
                        type: !include id/patch-response-404-schema.json
                        example: !include id/patch-response-404-example.json
            409:
                body:
                    application/json:
                        type: !include id/patch-response-409-schema.json
                        example: !include id/patch-response-409-example.json
    delete:
        description: Album delete
        responses:
            200:
                body:
                    application/json:
                        type: !include id/delete-response-200-schema.json
                        example: !include id/delete-response-200-example.json
            404:
                body:
                    application/json:
                        type: !include id/delete-response-404-schema.json
                        example: !include id/delete-response-404-example.json